## linux-igd 0.cvs20060201

=== Makefile ===
PREFIX=/usr
LIBIPTC_PREFIX=/usr

CC=gcc
INCLUDES= -I/usr/local/include/upnp  -I../include
LIBS= -lpthread -lupnp -lixml -lthreadutil -L/usr/local/lib -L../libs
FILES= main.o gatedevice.o pmlist.o util.o config.o

CFLAGS += -Wall -g

ifdef HAVE_LIBIPTC
LIBS += -L$(LIBIPTC_PREFIX)/lib -liptc
INCLUDES += -DHAVE_LIBIPTC -I$(LIBIPTC_PREFIX)/include
FILES += iptc.o
endif

all: upnpd

upnpd: $(FILES)
	$(CC) $(CFLAGS) $(FILES) $(LIBS) -o  $@ 
	@echo "make $@ finished on `date`"

%.o:	%.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

clean:
	rm -f *.o upnpd

install: upnpd
	install -d /etc/linuxigd
	install etc/gatedesc.xml /etc/linuxigd
	install etc/gateconnSCPD.xml  /etc/linuxigd
	install etc/gateicfgSCPD.xml /etc/linuxigd
	install etc/dummy.xml /etc/linuxigd
	install upnpd $(PREFIX)/sbin
	if [ ! -f /etc/upnpd.conf ]; then install etc/upnpd.conf /etc; fi

## linux-igd 1.0%2Bcvs20070630

=== debian/control ===
Source: linux-igd
Section: net
Priority: optional
Homepage: http://linux-igd.sourceforge.net/
Maintainer: Nick Leverton <nick@leverton.org>
Build-Depends: debhelper (>= 9), iptables-dev, pkg-config, libupnp-dev (>= 1:1.6.17)
Standards-Version: 3.9.6

Package: linux-igd
Architecture: any
Depends: iptables, lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Linux UPnP Internet Gateway Device
 This is a daemon which emulates Microsoft's Internet Connection Service (ICS).
 It implements the UPnP Internet Gateway Device specification (IGD) and allows
 UPnP aware clients, such as MSN Messenger or games consoles, to work
 properly from behind a NAT firewall.

## linux-igd 1.0+cvs20070630

=== Makefile ===
PREFIX=/usr
LIBUPNP_PREFIX=/usr
#LIBIPTC_PREFIX=/usr

CC=gcc
INCLUDES= -I$(LIBUPNP_PREFIX)/include -I../include
LIBS= -lpthread -lupnp -lixml -lthreadutil -L$(LIBUPNP_PREFIX)/lib -L../libs
FILES= main.o gatedevice.o pmlist.o util.o config.o

CFLAGS += -Wall -g -O2

ifdef HAVE_LIBIPTC
ifdef LIBIPTC_PREFIX
LIBS += -L$(LIBIPTC_PREFIX)/lib
INCLUDES += -I$(LIBIPTC_PREFIX)/include
endif

LIBS += -liptc
INCLUDES += -DHAVE_LIBIPTC
FILES += iptc.o
endif

all: upnpd

upnpd: $(FILES)
	$(CC) $(CFLAGS) $(FILES) $(LIBS) -o $@
	@echo "make $@ finished on `date`"

%.o:	%.c
	$(CC) $(CFLAGS) $(INCLUDES) -D_GNU_SOURCE -c $<

clean:
	rm -f *.o upnpd

install: upnpd
	install -d /etc/linuxigd
	install etc/gatedesc.xml /etc/linuxigd
	install etc/gateconnSCPD.xml  /etc/linuxigd
	install etc/gateicfgSCPD.xml /etc/linuxigd
	install etc/dummy.xml /etc/linuxigd
	install upnpd $(PREFIX)/sbin
	install upnpd.8 $(PREFIX)/share/man/man8
	if [ ! -f /etc/upnpd.conf ]; then install etc/upnpd.conf /etc; fi

=== debian/changelog ===
linux-igd (1.0+cvs20070630-6) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * dh 11.
  * Make the init script require $network; patch by Nye Liu (Closes: #885826)
  * Typo in README.Debian: "Conections".
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 14 Jan 2018 01:25:32 +0100

linux-igd (1.0+cvs20070630-5) unstable; urgency=low

  * Update to libupnp6 instead of libupnp4.
  * Fix upnp_log_filename in default upnpd.conf (Closes: #675245).
  * Fix paranoid checking of control point IP address (Closes: #675244)
  * Fix "TimerThreadRemove failed!" message, new patch 17 (Closes: #720495),
    thanks to Nye Liu <nyet@nyet.org>.
  * Fix detection of local IP address (patch 18).
  * Update Policy to 3.9.6 (no change to package).
  * Source /lib/lsb/init-functions in initscript for LSB compliance (lintian).

 -- Nick Leverton <nick@leverton.org>  Wed, 08 Oct 2014 00:23:04 +0100

linux-igd (1.0+cvs20070630-4) unstable; urgency=low

  * Apply patch 16 from Rob Lesley to fix use-after-free (Closes: #499827)
  * Apply hardening in line with Wheezy release goal, as we are a daemon
    and handle unsanitised input from the net.  Update *FLAGS in line
    with this to be supplied by dh_buildflags.
  * Update Policy to 3.9.3 (no change to package).

 -- Nick Leverton <nick@leverton.org>  Sat, 07 Jul 2012 21:54:47 +0100

linux-igd (1.0+cvs20070630-3) unstable; urgency=low

  * Use debhelper 7 and dh; update patch 02-makefile to support DESTDIR.
    Really compile with -O0 when "DEB_BUILD_OPTIONS=noopt" is specified.
  * Reformat patches for source 3.0 (Closes: #538576) and update to DEP-3.
  * Create a pidfile in initscript (Closes: #527144)
  * Update for Policy 3.8.1 to 3.8.4:
    Add --oknodo to start calls in case daemon was already running (3.8.1)
  * Update to current netfilter, thanks to OpenWRT for patches 001/2/3/4
  * Use standard include files for string.h etc (patch 07).
  * Update to use xtables functions when available (patch 08).
  * Update upnp.8 man page with current options (patch 09).
  * Update to current libupnp 1.8.x API instead of 1.6.x (patch 10).
  * Fix potential sprintf overrun just in case (patch 11).
  * Add upnp_log_filename and upnp_log_level options to enable the libupnp
    debug file, and use that file for our own debug logging (patch 13).
  * Some extra debugging, using the new libupnp debug file (patch 12, 14).
  * Use forward_rules_append option to append to PREROUTING also (patch
    15, Closes: #507313).

 -- Nick Leverton <nick@leverton.org>  Mon, 17 May 2010 11:43:21 +0100

linux-igd (1.0+cvs20070630-2) unstable; urgency=high

  * Don't sprintf from struct in_addr when 'paranoid' is enabled (Closes:
    #489565, "paranoid" option can result in segfaults).

 -- Nick Leverton <nick@leverton.org>  Mon, 07 Jul 2008 23:02:42 +0100

linux-igd (1.0+cvs20070630-1) unstable; urgency=low

  * New maintainer (Closes: #411875)
  * New upstream CVS (Closes: #436919, #436365), including important
    option name changes:
    - Renamed the insert_forward_rules option to create_forward_rules to
      better reflect what it actually does.
    - Added the forward_rules_append to do what people thought
      insert_forward_rules did.
    See /usr/share/doc/linux-igd/CHANGES.gz for further details.
  * For compatibility with upstream, the INT_IFACE and EXT_IFACE
    initscript variables have been renamed to INTIFACE and EXTIFACE.
  * Rename initscript and defaults from /etc/{init.d,default}/upnpd to
    /etc/*/linux-igd so that they match our package name.
  * Change initscript to do nothing until /etc/default/linux-igd is
    configured (Closes: #423189, #399960).
  * Add --oknodo to all "start-stop-daemon --stop" calls in initscript
    in case daemon wasn't running anyway (Closes: #415981).
  * Configurable CHROOT and USER/GROUP for daemon.
  * Add SECURITY note and sample conf for jailer chroot.
  * Add ALLOW_MULTICAST option for multicast routing setup (compatible
    with upstream).
  * Abstract the patch for #397572 from .diff.gz into separate quilt patch
    01-debian-my_parse_port.diff
  * New patch 02-makefile.diff for fixes to makefile
  * Patch 03-debian-bindtodevice.diff Closes: #441082 (linux-igd does not
    restrict itself to the internal interface) (with further fix from Eric
    Valette).
  * Honour CFLAGS in compilation (thanks Gianluigi Tiesi <sherpya@netfarm.it>
    http://debian.cli.unipi.it/debian/pool/sherpya/l/linux-igd/ ).
  * Update watchfile as per Jochen Friedrich's suggestion.
  * Add paranoid flag to validate port forwarding requests.
  * Remove bashisms from initscript, make it dash-compatible.

 -- Nick Leverton <nick@leverton.org>  Fri, 04 Jul 2008 22:21:20 +0100

linux-igd (0.cvs20060201-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename parse_port and service_to_port to my_parse_port and
    my_service_to_port respectively, as they crash with functions already
    defined in /usr/include/iptables.h; fixes FTBFS. (Closes: #397572)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 15 Nov 2006 14:04:32 +0100

linux-igd (0.cvs20060201-1) unstable; urgency=low

  * Initial release (Closes: #328986)

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Sun,  5 Mar 2006 13:51:39 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: net
 Priority: optional
 Homepage: http://linux-igd.sourceforge.net/
-Maintainer: Nick Leverton <nick@leverton.org>
-Build-Depends: debhelper (>= 9), iptables-dev, pkg-config, libupnp-dev (>= 1:1.6.17)
-Standards-Version: 3.9.6
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 11), iptables-dev, pkg-config, libupnp-dev (>= 1:1.6.17)
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 
 Package: linux-igd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -DDEBUG

CPPFLAGS_DEF += `dpkg-buildflags --get CPPFLAGS`
CFLAGS_DEF += `dpkg-buildflags --get CFLAGS`
LDFLAGS_DEF += `dpkg-buildflags --get LDFLAGS`

%:
	dh $@

override_dh_auto_build:
	## iptc was removed as a public interface in iptables 1.4.0.  We will need
	## to re-work it all for netfilter+xtables and, in due course, for IPV6.
	# dh_auto_build -- HAVE_LIBIPTC=1 HAVE_XTABLES=1 HAVE_IPTABLES_143=1
	dh_auto_build -- CFLAGS="$(CPPFLAGS_DEF) $(CFLAGS_DEF)" LDFLAGS="$(LDFLAGS_DEF)"
